# Changelog

## 2025-01-23 - 1.0.92 - fix(core)
Improve error logging for test modules without default promise

- Added logging to display the exported test module content when it does not export a default promise.

## 2025-01-23 - 1.0.91 - fix(core)
Refactored tstest class to enhance promise handling for test modules.

- Removed .gitlab-ci.yml configuration file.
- Updated package.json dependency versions.
- Added a condition to handle promiselike objects in tests.

## 2024-04-18 - 1.0.89 to 1.0.90 - Enhancements and Bug Fixes
Multiple updates and fixes have been made.

- Updated core components to enhance stability and performance.

## 2024-03-07 - 1.0.86 to 1.0.88 - Core Updates
Continued improvements and updates in the core module.

- Applied critical fixes to enhance core stability.

## 2024-01-19 - 1.0.85 to 1.0.89 - Bug Fixes
Series of core updates have been implemented.

- Addressed known bugs and improved overall system functionality.

## 2023-11-09 - 1.0.81 to 1.0.84 - Maintenance Updates
Maintenance updates focusing on core reliability.

- Improved core module through systematic updates.
- Strengthened system robustness.

## 2023-08-26 - 1.0.77 to 1.0.80 - Critical Fixes
Critical fixes implemented in core functionality.

- Enhanced core processing to fix existing issues.

## 2023-07-13 - 1.0.75 to 1.0.76 - Stability Improvements
Stability enhancements and minor improvements.

- Focused on ensuring a stable operational core.

## 2022-11-08 - 1.0.73 to 1.0.74 - Routine Fixes
Routine core fixes to address reported issues.

- Addressed minor issues in the core module.

## 2022-08-03 - 1.0.71 to 1.0.72 - Core Enhancements
Enhancements applied to core systems.

- Tweaked core components for enhanced reliability.

## 2022-05-04 - 1.0.69 to 1.0.70 - System Reliability Fixes
Fixes targeting the reliability of the core systems.

- Improved system reliability through targeted core updates.

## 2022-03-17 - 1.0.65 to 1.0.68 - Major Core Updates
Major updates and bug fixes delivered for core components.

- Enhanced central operations through key updates.

## 2022-02-15 - 1.0.60 to 1.0.64 - Core Stability Improvements
Focused updates on core stability and performance.

- Reinforced stability through systematic core changes.

## 2021-11-07 - 1.0.54 to 1.0.59 - Core Fixes and Improvements
Multiple core updates aimed at fixing and improving the system.

- Addressed outstanding bugs and improved performance in the core.

## 2021-08-20 - 1.0.50 to 1.0.53 - Core Functionality Updates
Continued updates to improve core functionality and user experience.

- Implemented essential core fixes to enhance user experience.

## 2020-10-01 - 1.0.44 to 1.0.49 - Core System Enhancements
Critical enhancements to core systems.

- Improved core operations and tackled existing issues.

## 2020-09-29 - 1.0.40 to 1.0.43 - Essential Fixes
Series of essential fixes for the core system.

- Rectified known issues and bolstered core functionalities.

## 2020-07-10 - 1.0.35 to 1.0.39 - Core Function Fixes
Focused improvements and fixes for critical components.

- Addressed critical core functions to boost system performance.

## 2020-06-01 - 1.0.31 to 1.0.34 - Core Updates
Updates to maintain core functionality efficacy.

- Fixed inefficiencies and updated essential components.

## 2019-10-02 - 1.0.26 to 1.0.29 - Core Maintenance
Regular maintenance and updates for core reliability.

- Addressed multiple core issues and enhanced system stability.

## 2019-05-28 - 1.0.20 to 1.0.25 - Core Improvements
General improvements targeting core functionalities.

- Made systematic improvements to core processes.

## 2019-04-08 - 1.0.16 to 1.0.19 - Bug Squashing
Resolved numerous issues within core operations.

- Fixed and optimized core functionalities for better performance.
  
## 2018-12-06 - 1.0.15 - Dependency Updates
Updates aimed at improving dependency management.

- Ensured dependencies are up-to-date for optimal performance.
  
## 2018-08-14 - 1.0.14 - Test Improvement
Major improvements in testing mechanisms and logging.

- Improved test results handling for accuracy and reliability.
- Enhanced logging features for increased clarity.
  
## 2018-08-04 - 1.0.1 to 1.0.13 - Initial Implementation and Fixes
Initial release and critical updates focusing on core stability and functionality.

- Implemented core components and established initial system structure.
- Addressed key bugs and enhanced initial functionality.
